<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Bizeulasin extends MY_Controller {


     public function __construct()
    {
        parent::__construct();
        $this->load->model("imageupload_model");
        $this->load->model('ekstrasayfalar_model');
        $this->load->model('subeler_model');
    }

	public function index()
	{
        $viewData = new stdClass();

        $subeler = $this->subeler_model->get_all
        (
            array
            (
            ),"id ASC"
        );

        $viewData->urunler_footer = $this->urunler_footer;
        $viewData->hizmetler_footer = $this->hizmetler_footer;
        $viewData->subeler = $subeler;
        $viewData->sayfa        = "anasayfa";
        $viewData->nerdengeliyorum = "";

    	$this->load->view('bizeulasin', $viewData);
	}


    public function iletisim_formu ()
    {

        $viewData = new stdClass(); 

        $this->load->model("emailsettings_model");

        $user = $this->emailsettings_model->get
        (
            array
            (
                "isactive"  => 1
            ),  "LIMIT 0,1"
        );

        $isim   = $this->security->xss_clean($this->input->post("isim"));
        $mail   = $this->security->xss_clean($this->input->post("mail"));
        $tel    = $this->security->xss_clean($this->input->post("tel"));
        $konu   = $this->security->xss_clean($this->input->post("konu"));
        $mesaj   = $this->security->xss_clean($this->input->post("mesaj"));

        $mailmetin  = "<b>Ad Soyad</b>:".$isim."/n";
        $mailmetin .= "<b>E-Posta</b>: ".$mail."/n";
        $mailmetin .= "<b>Telefon</b>: ".$tel."/n";
        $mailmetin .= "<b>Konu</b>:    ".$konu;
    


        $send = mail_send($user->user,"Bilgi Formu",$mailmetin);
        if ($send)
        {
            $alert = array
            (
                "mesaj"  => "Bilgileriniz başarı ile kayıt edildi, teşekkür ederiz..."
            );
        } 

        else 
        {
           $alert = array
            (
                "mesaj"  => "Bir hata oluştu, Lütfen daha sonra tekrar deneyin..."
            );  
        }

        $this->session->set_flashdata("alert", $alert);
        redirect(base_url("anasayfa"));
    }



    public function insan_kaynaklari_form()
    {
        $viewData = new stdClass();
        $this->load->model('ekstrasayfalar_model');

        $viewData->urunler_footer = $this->urunler_footer;
        $viewData->sayfa        = "anasayfa"; 
        $viewData->nerdengeliyorum = "";
        //$viewData->kur= $this->kurlar;

        $this->load->view('kariyer', $viewData); 
    }


    public function insan_kaynaklari_form_kaydet ()
    {

        $viewData = new stdClass(); 

        if ($_FILES["file"]["name"] <> "") {
            $file_ext       = pathinfo($_FILES["file"]["name"], PATHINFO_EXTENSION); // codeigniter dosya uzantısı alma işlemi
            $newfileName    = turkceYap($this->input->post("isim"))."_".date("His").".".$file_ext; // uzantı ve isim birleştirilir

            $config["allowed_types"]    = "pdf|doc|docx"; // kabul edilecek dosya tipleri
            $config["upload_path"]      = "uploads/"; /*dosyanın yükleneceği dizin*/
            $config["file_name"]        = $newfileName;

            $this->load->library("upload", $config); /*upload libryisini ekliyoruz*/

            $upload = $this->upload->do_upload("file");
        }

            $isim1   = $this->security->xss_clean($this->input->post("isim"));
            $soyisim   = $this->security->xss_clean($this->input->post("soyisim"));
            $mail   = $this->security->xss_clean($this->input->post("eposta"));
            $tel    = $this->security->xss_clean($this->input->post("telefon"));
            $adres    = $this->security->xss_clean($this->input->post("adres"));
            

            $this->load->model("emailsettings_model");
            $user = $this->emailsettings_model->get
            (
                array
                (
                    "isactive"  => 1
                ),  "LIMIT 0,1"
            );

            
            $isim = $isim1." ".$soyisim;
            $mailmetin  = "Ad Soyad:".$isim."\n";
            $mailmetin .= "E-Posta: ".$mail."\n";
            $mailmetin .= "Telefon: ".$tel."\n";
            $mailmetin .= "Adres: ".$adres."\n";
            if ($_FILES["file"]["name"] <> "") {$mailmetin .= "Dosya:    ".base_url("")."/uploads/".$newfileName;}
        


            $send = mail_send($user->user,"Kariyer Formu",$mailmetin);
            if ($send)
            {
                $alert = array
                (
                    "mesaj"  => "1"
                );
            } 

            else 
            {
               $alert = array
                (
                    "mesaj"  => "0"
                );  
            }

            $this->session->set_flashdata("alert", $alert);
            redirect(base_url("kariyer"));
    }

}
